rm(list=ls())
source('normal-hier.R')

## read data
dat <- read.table("coagulation.txt")
group <- dat[,1]
y <- dat[,2]

## sample from posterior
params <- run_sampler(y,group,N=1000)

## report some posterior quantiles
p2 <- params
p2[,2:3] <- sqrt(p2[,2:3])
colnames(p2)[2:3] <- c("tau","sig") ## convert to standard deviations
quants <- apply(p2,2,function(x){quantile(x,probs=c(.025,.25,.5,.75,.975))})
t(quants)
